TCIM z/OS agent appears to be out of date

Technote (troubleshooting)


Problem(Abstract)

Message "LCM: The cryptographic components of server agent 12.1.1 on your.server.name:5992 are not up-to-date. The agent's software should be upgraded"

Resolving the problem

The message above may be seen during a fresh install or upgrade of TCIM's z/OS agent (via zSecure on z/OS).

This message will appear in /u/c2eaudit/actuatr1/log/agent.log under z/OS USS if the TSIEM z/OS agent code is used on the z/OS side against a TCIM server.

The way to check:

- there are 23 files for TCIM

- there are 79 files for TSIEM

These files, by default, are found in /usr/lpp/c2e/vx.y/ under z/OS USS, where x.y is the release.version number. The actual location is determined by the symbolic link /bin under /u/c2eaudit/actuatr1/, which should match the &C2ESW parameter in C2R$PARM.

If your server is running TCIM, the code used on the z/OS side MUST be the TCIM z/OS agent code, regardless of what release of zSecure is being run.

Likewise for TSIEM, the code used on the z/OS side MUST be the TSIEM z/OS agent code, regardless of what release of zSecure is being run.


Cross reference information
Segment Product Component Platform Version Edition
Security IBM Security zSecure Audit z/OS

Rate this page:

(0 users)Average rating

Document information


More support for:

Tivoli Compliance Insight Manager
Enabler for RACF

Software version:

8.0, 8.5

Operating system(s):

z/OS

Software edition:

Enterprise

Reference #:

1586338

Modified date:

2014-02-14

Translate my page

Machine Translation

Content navigation